Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 11828051: [Android] Add a command line tool for reverse port forwarding (Closed)

Created:
4 years, 11 months ago by Sami
Modified:
4 years, 11 months ago
Reviewers:
bulach, Philippe
CC:
chromium-reviews, ilevy+watch_chromium.org, bulach+watch_chromium.org, yfriedman+watch_chromium.org, peter+watch_chromium.org, klundberg+watch_chromium.org, frankf+watch_chromium.org
Visibility:
Public.

Description

[Android] Add a command line tool for reverse port forwarding This patch adds a command line interface to build/android/pylib/forwarder.py. It allows an Android device to access services running on the host machine or elsewhere. This is essentially the reverse of "adb forward". Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=176372

Patch Set 1 #

Total comments: 1

Patch Set 2 : Add note about the needed binaries. #

Total comments: 1

Messages

Total messages: 6 (0 generated)
Sami
Hi guys, While working with browsers that don't have telemetry support yet I found it ...
4 years, 11 months ago (2013-01-10 19:30:53 UTC) #1
bulach
lgtm, this is very handy!! make sure phillippe is happy with it, and a tiny ...
4 years, 11 months ago (2013-01-10 19:43:23 UTC) #2
Sami
On 2013/01/10 19:43:23, bulach wrote: > Requires |host_forwarder| and |device_forwarder| to be built. Good point, ...
4 years, 11 months ago (2013-01-10 19:48:30 UTC) #3
Philippe
LGTM, thanks Sami! Very useful indeed. https://codereview.chromium.org/11828051/diff/4001/build/android/adb_reverse_forwarder.py File build/android/adb_reverse_forwarder.py (right): https://codereview.chromium.org/11828051/diff/4001/build/android/adb_reverse_forwarder.py#newcode64 build/android/adb_reverse_forwarder.py:64: forwarder_instance.Close() Forwarder::Close() should ...
4 years, 11 months ago (2013-01-11 13:50:02 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/skyostil@chromium.org/11828051/4001
4 years, 11 months ago (2013-01-11 14:08:11 UTC) #5
commit-bot: I haz the power
4 years, 11 months ago (2013-01-11 16:37:19 UTC) #6
Message was sent while issue was closed.
Change committed as 176372

Powered by Google App Engine
This is Rietveld 0eb02b776